package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;
import gov.va.med.esr.service.external.person.collections.AddressCollection;
import gov.va.med.esr.service.external.person.collections.EmailCollection;
import gov.va.med.esr.service.external.person.collections.PhoneCollection;

public class ContactInfo extends ExternalComponent {


	private static final long serialVersionUID = 858769381656428651L;

	//1. AddressInfo
	//2. EmailInfo
	//3. PhoneInfo
	/**
	 * moved from EESummary
	 */
	private AddressCollection addresses;
    private PhoneCollection phones;
    private EmailCollection    emails;
    
	public AddressCollection getAddresses() {
		return addresses;
	}
	public void setAddresses(AddressCollection addresses) {
		this.addresses = addresses;
	}
	public EmailCollection getEmails() {
		return emails;
	}
	public void setEmails(EmailCollection emails) {
		this.emails = emails;
	}
	public PhoneCollection getPhones() {
		return phones;
	}
	public void setPhones(PhoneCollection phones) {
		this.phones = phones;
	}

	
	
}
